/// <reference types="react" />
export declare enum OrderStage {
    New = 0,
    Placed = 1,
    Approved = 2,
    Expired = 3,
    Rejected = 4
}
export declare enum PaymentState {
    PriceAccepted = 0,
    AwaitingPayment = 1,
    Confirmed = 2,
    Expired = 3,
    Quoted = 4
}
export declare type OrderContextProps = {
    orderId: string | undefined;
    placeOrder: (couponCode: string, quantity: number) => Promise<void>;
    acceptPrice: () => Promise<void>;
    orderStage: OrderStage;
    amount: string | undefined;
    paymentState: PaymentState;
    address: string | undefined;
    newOrder: () => void;
};
export declare const OrderProvider: ({ collectionId, environment, children }: any) => JSX.Element;
export declare const useOrder: () => OrderContextProps;
