import { FC } from 'react';

declare type PromoCodeMode = 'optional' | 'required';
declare type Environment = 'production' | 'test';
declare type ShareLinks = {
    discord?: string;
    twitter?: string;
};
interface MintingProps {
    collectionId: string;
    tokenName: string;
    environment?: Environment;
    promoCodeMode?: PromoCodeMode;
    maxAssetsPerOrder?: number;
    onPayClick?: (address: string, amount: string) => Promise<void>;
    termsOrServiceLink?: string;
    shareLinks?: ShareLinks;
}

declare const Minting: FC<MintingProps>;

export { Minting };
